#
# spec file for package rofi-wayland
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           rofi-wayland
Version:        1.7.5+wayland2+git.1690115482.ff2338c
Release:        bp156.1.7
Summary:        A window switcher, run dialog and dmenu replacement
License:        MIT
Group:          System/GUI/Other
URL:            https://github.com/lbonn/rofi
Source:         rofi-%{version}.tar.gz
# Source:         https://github.com/lbonn/rofi/releases/download/%%{version}/rofi-%%{version}.tar.xz
# PATCH-FEATURE-UPSTREAM Use-xdg-terminal-instead-of-the-proprietary-solution.patch mcepl@suse.com
Patch0:         Use-xdg-terminal-instead-of-the-proprietary-solution.patch
BuildRequires:  bison
BuildRequires:  cairo-devel
BuildRequires:  check-devel
BuildRequires:  flex >= 2.5.39
BuildRequires:  gcc-c++
BuildRequires:  gtk-layer-shell-devel
BuildRequires:  libjpeg8-devel
BuildRequires:  librsvg-devel
BuildRequires:  libxkbcommon-devel
BuildRequires:  libxkbcommon-x11-devel
BuildRequires:  meson
BuildRequires:  pango-devel
BuildRequires:  pkgconfig
BuildRequires:  startup-notification-devel
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(wayland-server)
Conflicts:      rofi
Provides:       rofi-launcher

%description
This is a fork of rofi with added support for Wayland via the layer shell protocol.

%package devel
Summary:        Development files for rofi
Group:          Development/Libraries/C and C++
Conflicts:      rofi-devel

%description devel
Development files and headers for rofi

%prep
%autosetup -p1 -n rofi-%{version}

sed -i '1s,%{_bindir}/env bash,/bin/bash,' script/rofi-sensible-terminal \
    script/rofi-theme-selector

%build
%meson -Dxcb=disabled
%meson_build

%install
%meson_install

%files
%license COPYING
%doc Changelog README.md
%{_bindir}/rofi
%{_bindir}/rofi-sensible-terminal
%{_bindir}/rofi-theme-selector
%dir %{_datadir}/rofi/
%{_datadir}/rofi/themes/
%{_datadir}/applications/rofi*
%{_datadir}/icons/hicolor/scalable/apps/rofi.svg
%{_mandir}/man1/rofi.1%{?ext_man}
%{_mandir}/man1/rofi-sensible-terminal.1%{?ext_man}
%{_mandir}/man1/rofi-theme-selector.1%{?ext_man}
%{_mandir}/man5/rofi-debugging.5%{?ext_man}
%{_mandir}/man5/rofi-dmenu.5%{?ext_man}
%{_mandir}/man5/rofi-keys.5%{?ext_man}
%{_mandir}/man5/rofi-script.5%{?ext_man}
%{_mandir}/man5/rofi-theme.5%{?ext_man}

%files devel
%{_includedir}/rofi/
%{_libdir}/pkgconfig/rofi.pc

%changelog
* Mon Jul 24 2023 Joshua Smith <jsmithfpv@gmail.com>
- Update to version 1.7.5+wayland2+git.1690115482.ff2338c:
  * Set -dev version
  * Wayland: Apply scaling to cursor surface
  * [IconFetcher] Apply scaling when loading images and icons
- Update service file to use wayland2 naming and obs_scm
* Tue May 30 2023 mcepl@suse.com
- Update to version 1.7.5+wayland1+git.1679493688.d06095b:
  * Propose new PRs to go the 'wayland' branch, not the upstream one.
  * Add information about the openSUSE package
  * [Doc] remove some links to upstream rofi
  * Wayland: fix NULL pointer access
  * Wayland: real fullscreen support
  * Fix redraw bug when changing window height
  * [Doc] Update on window mode in README
  * [Doc] Update Fedora package link.
  * [WaylandWindow] Remove redundant icon fetcher query.
  * [WaylandWindow] Apply changes from b3c46d2:
* Sat Nov  5 2022 Matej Cepl <mcepl@suse.com>
- rofi-wayland-devel should conflict rofi-devel.
* Mon Oct 31 2022 Matej Cepl <mcepl@suse.com>
- Switch back from SCM managed to plain old OBS package.
- Update to 1.7.5+wayland1:
  - just following the upstream
    (https://github.com/davatorium/rofi) changes.
- Add rofi-launcher provides to allow coexistence with
  rofi-wayland.
* Sat Aug 20 2022 Matej Cepl <mcepl@suse.com>
- Rename package to rofi-wayland and conflict with the original one.
- Make the package Wayland only.
- Switch to Sourcehut upstream repo with my patches
  (https://git.sr.ht/~mcepl/rofi)
* Sat Aug  6 2022 Matej Cepl <mcepl@suse.com>
- Conversion of the original project from
  https://build.opensuse.org/package/show/home:h3o/Rofi-Wayland
  (with updated build to have working submodules).
